Intermittent service-workers/service-worker/unregister.https.html | Unregister twice - assert_unreached: unexpected rejection: assert_equals: unregistering twice should resolve with false expected false but got true Reached unreachable code

REOPENED
Unassigned

Status

()

Core
DOM: Service Workers
P5
normal
REOPENED
2 years ago
6 hours ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

See Also: → bug 1294268

Comment 1

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
Duplicate of this bug: 1299033

Comment 3

2 years ago
This might be fallout from bug 1290116.
Flags: needinfo?(bkelly)

Comment 4

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 3

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2016-09-05&endday=2016-09-11&tree=all

Updated

2 years ago
Flags: needinfo?(bkelly)

Comment 5

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 6
* mozilla-inbound: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 6

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* autoland: 2
* fx-team: 1

Platform breakdown:
* linux64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 7

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 2

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2016-09-26&endday=2016-10-02&tree=all

Comment 8

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 5
* mozilla-inbound: 2
* mozilla-central: 2

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2016-10-03&endday=2016-10-09&tree=all

Comment 9

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2016-10-10&endday=2016-10-16&tree=all

Comment 10

10 months ago
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 11

10 months ago
3 failures in 892 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2
* mozilla-beta: 1

Platform breakdown:
* linux64-stylo: 1
* linux64-devedition: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2017-06-19&endday=2017-06-25&tree=all

Updated

9 months ago
Priority: P3 → P5

Comment 12

9 months ago
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 13

9 months ago
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2017-07-24&endday=2017-07-30&tree=all
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 14

7 months ago
2 failures in 943 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux32-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2017-09-18&endday=2017-09-24&tree=all
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=162852248&repo=mozilla-inbound&lineNumber=5294
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 16

2 months ago
2 failures in 685 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2

Platform breakdown:
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1299032&startday=2018-02-12&endday=2018-02-18&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 7 months agoa month ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=169665453&repo=mozilla-inbound&lineNumber=30137

[task 2018-03-22T16:12:38.140Z] 16:12:38     INFO - TEST-OK | /service-workers/service-worker/unregister-then-register.https.html | took 1427ms
[task 2018-03-22T16:12:38.140Z] 16:12:38     INFO - TEST-START | /service-workers/service-worker/unregister.https.html
[task 2018-03-22T16:12:38.262Z] 16:12:38     INFO - PID 13046 | ++DOCSHELL 0x7fe4b598b800 == 18 [pid = 13111] [id = {c67d3eee-9cad-4b96-94ab-20aa5946dbbc}]
[task 2018-03-22T16:12:38.262Z] 16:12:38     INFO - PID 13046 | ++DOMWINDOW == 63 (0x7fe4b52ac800) [pid = 13111] [serial = 1152] [outer = (nil)]
[task 2018-03-22T16:12:38.283Z] 16:12:38     INFO - PID 13046 | ++DOMWINDOW == 64 (0x7fe4b5af5000) [pid = 13111] [serial = 1153] [outer = 0x7fe4b52ac800]
[task 2018-03-22T16:12:38.465Z] 16:12:38     INFO - PID 13046 | ++DOMWINDOW == 65 (0x7fe4b52b4800) [pid = 13111] [serial = 1154] [outer = 0x7fe4b52ac800]
[task 2018-03-22T16:12:38.830Z] 16:12:38     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: A runnable was posted to a worker that is already shutting down!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 1541
[task 2018-03-22T16:12:38.830Z] 16:12:38     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: '!r->Dispatch()', file /builds/worker/workspace/build/src/dom/serviceworkers/ServiceWorkerRegistrationImpl.cpp, line 1133
[task 2018-03-22T16:12:38.866Z] 16:12:38     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: A runnable was posted to a worker that is already shutting down!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 1541
[task 2018-03-22T16:12:38.867Z] 16:12:38     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: '!r->Dispatch()', file /builds/worker/workspace/build/src/dom/serviceworkers/ServiceWorkerRegistrationImpl.cpp, line 1133
[task 2018-03-22T16:12:38.913Z] 16:12:38     INFO - 
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - TEST-UNEXPECTED-FAIL | /service-workers/service-worker/unregister.https.html | Unregister twice - assert_unreached: unexpected rejection: assert_equals: unregistering twice should resolve with false expected false but got true Reached unreachable code
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - unreached_rejection/<@https://web-platform.test:8443/service-workers/service-worker/resources/test-helpers.sub.js:45:7
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - Test.prototype.step@https://web-platform.test:8443/resources/testharness.js:1494:20
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - Test.prototype.step_func/<@https://web-platform.test:8443/resources/testharness.js:1518:20
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - Async*@https://web-platform.test:8443/service-workers/service-worker/unregister.https.html:9:5
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - Test.prototype.step@https://web-platform.test:8443/resources/testharness.js:1494:20
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - async_test@https://web-platform.test:8443/resources/testharness.js:528:13
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - @https://web-platform.test:8443/service-workers/service-worker/unregister.https.html:6:1
[task 2018-03-22T16:12:38.914Z] 16:12:38     INFO - .
[task 2018-03-22T16:12:38.915Z] 16:12:38     INFO - TEST-OK | /service-workers/service-worker/unregister.https.html | took 771ms
[task 2018-03-22T16:12:39.285Z] 16:12:39     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: A runnable was posted to a worker that is already shutting down!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 1541
[task 2018-03-22T16:12:39.287Z] 16:12:39     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: Failed to dispatch offline status change event!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2061
[task 2018-03-22T16:12:39.288Z] 16:12:39     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: A runnable was posted to a worker that is already shutting down!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 1541
[task 2018-03-22T16:12:39.289Z] 16:12:39     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: Failed to dispatch offline status change event!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2061
[task 2018-03-22T16:12:39.328Z] 16:12:39     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 809
[task 2018-03-22T16:12:39.344Z] 16:12:39     INFO - PID 13046 | [Child 13111, Main Thread] WARNING: Finishing incremental GC in progress during CC: file /builds/worker/workspace/build/src/xpcom/base/nsCycleCollector.cpp, line 3630
[task 2018-03-22T16:12:39.905Z] 16:12:39     INFO - PID 13046 | --DOCSHELL 0x7fdae57bf800 == 2 [pid = 13046] [id = {de32f19e-ac5d-4141-a641-ea135c18c760}]
[task 2018-03-22T16:12:39.905Z] 16:12:39     INFO - PID 13046 | --DOCSHELL 0x7fdace8aa000 == 1 [pid = 13046] [id = {e5139a65-1c01-40f2-8516-c72391e5e97c}]
[task 2018-03-22T16:12:40.087Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4d8040800 == 17 [pid = 13111] [id = {a67f3027-310d-489b-841c-9d31e6c8df7d}]
[task 2018-03-22T16:12:40.088Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4b57d5000 == 16 [pid = 13111] [id = {46b69574-2732-443f-ad30-0d2762fd283a}]
[task 2018-03-22T16:12:40.093Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4b5980800 == 15 [pid = 13111] [id = {db0a11e2-2338-4a85-816f-ca65cfafccf2}]
[task 2018-03-22T16:12:40.094Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4dc13d800 == 14 [pid = 13111] [id = {56e2905e-feda-49c7-87d3-9a8e27b6615b}]
[task 2018-03-22T16:12:40.094Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4b598a000 == 13 [pid = 13111] [id = {f060f7a4-c039-4b56-8229-62a25f042625}]
[task 2018-03-22T16:12:40.095Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4b60da000 == 12 [pid = 13111] [id = {a6fe08ee-0088-4d0d-b384-c428955b3d25}]
[task 2018-03-22T16:12:40.099Z] 16:12:40     INFO - PID 13046 | --DOMWINDOW == 64 (0x7fe4b52ad000) [pid = 13111] [serial = 1091] [outer = (nil)] [url = about:blank]
[task 2018-03-22T16:12:40.100Z] 16:12:40     INFO - PID 13046 | --DOMWINDOW == 63 (0x7fe4b5af8800) [pid = 13111] [serial = 1110] [outer = (nil)] [url = about:blank]
[task 2018-03-22T16:12:40.101Z] 16:12:40     INFO - PID 13046 | --DOCSHELL 0x7fe4b60e4800 == 11 [pid = 13111] [id = {d8a91d2b-a78b-444b-9214-d315c367abb4}]
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 19

27 days ago
2 failures in 822 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* linux64-qr: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1299032&startday=2018-03-20&endday=2018-03-26&tree=trunk

Comment 20

21 days ago
2 failures in 718 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* linux64-qr: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1299032&startday=2018-03-26&endday=2018-04-01&tree=trunk

Comment 21

14 days ago
3 failures in 765 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* linux64-qr: 2
* linux32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1299032&startday=2018-04-02&endday=2018-04-08&tree=trunk
3 failures in 792 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* linux64-qr: 3

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1299032&startday=2018-04-09&endday=2018-04-15&tree=trunk

Comment 23

6 hours ago
2 failures in 782 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1299032&startday=2018-04-16&endday=2018-04-22&tree=trunk
You need to log in before you can comment on or make changes to this bug.